/*
 * This file was generated by the CommonAPI Generators.
 * Used org.genivi.commonapi.someip 3.2.0.v202012010944.
 * Used org.franca.core 0.13.1.201807231814.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at
 * http://mozilla.org/MPL/2.0/.
 */

#ifndef V1_COMMONAPI_TELUX_COMMON_Common_Defines_SOMEIP_DEPLOYMENT_HPP_
#define V1_COMMONAPI_TELUX_COMMON_Common_Defines_SOMEIP_DEPLOYMENT_HPP_


#if !defined (COMMONAPI_INTERNAL_COMPILATION)
#define COMMONAPI_INTERNAL_COMPILATION
#define HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif
#include <CommonAPI/SomeIP/Deployment.hpp>
#if defined (HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE)
#undef COMMONAPI_INTERNAL_COMPILATION
#undef HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

namespace v1 {
namespace commonapi {
namespace telux {
namespace common {
namespace CommonDefines_ {

// Interface-specific deployment types
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> StatusDeployment_t;
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> ErrorCodeDeployment_t;
typedef CommonAPI::SomeIP::EnumerationDeployment<uint8_t> ServiceStatusDeployment_t;

// Type-specific deployments

// Attribute-specific deployments

// Argument-specific deployment

// Broadcast-specific deployments

} // namespace CommonDefines_
} // namespace common
} // namespace telux
} // namespace commonapi
} // namespace v1

#endif // V1_COMMONAPI_TELUX_COMMON_Common_Defines_SOMEIP_DEPLOYMENT_HPP_
